Bump `cargo_metadata` to `v0.15.0` (#617)

Looks like `v0.14.3` was yanked, which is causing problems if you try
and install `cargo-contract` from Git.
8 jobs for master in 11 minutes and 32 seconds (queued for 2 seconds)